<?php

namespace App\Classes\Modules\Banks\Services;


use App\Classes\General\Eloquent\AbstractListRecord;
use Illuminate\Database\Eloquent\Builder;
use App\Models\Bank;

class ListsBanks extends AbstractListRecord
{

    /** @var Bank */
    private $repository;

    /**
     * ListsBank constructor.
     * @param Bank $repository
     */
    public function __construct(Bank $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}